export declare const tailwindPreset: {
    theme: {
        extend: {
            darkMode: string;
            fontFamily: {
                primary: string;
                title: string;
            };
            colors: {
                primary: {
                    DEFAULT: string;
                    dark: string;
                    variation: string;
                    'variation-dark': string;
                };
                secondary: {
                    DEFAULT: string;
                    dark: string;
                };
                background: {
                    DEFAULT: string;
                    dark: string;
                };
                surface: {
                    DEFAULT: string;
                    variation: string;
                    dark: string;
                    'variation-dark': string;
                };
                accent: {
                    DEFAULT: string;
                    dark: string;
                };
                on: {
                    primary: string;
                    'primary-variation': string;
                    secondary: string;
                    'secondary-variation': string;
                    accent: string;
                    background: string;
                    'background-variation': string;
                    surface: string;
                    'surface-variation': string;
                    'primary-dark': string;
                    'primary-variation-dark': string;
                    'secondary-dark': string;
                    'secondary-variation-dark': string;
                    'accent-dark': string;
                    'background-dark': string;
                    'background-variation-dark': string;
                    'surface-dark': string;
                    'surface-variation-dark': string;
                };
            };
        };
    };
};
